//! Content parts

pub(crate) mod effect;
pub(crate) mod faction;
pub(crate) mod gun;
pub(crate) mod outfit;
pub(crate) mod outfitspace;
pub(crate) mod ship;
pub(crate) mod sprite;
pub(crate) mod system;

pub use effect::Effect;
pub use faction::{Faction, Relationship};
pub use gun::{Gun, Projectile, ProjectileCollider};
pub use outfit::Outfit;
pub use outfitspace::OutfitSpace;
pub use ship::{
	CollapseEffectSpawner, CollapseEvent, EffectCollapseEvent, EnginePoint, GunPoint, Ship,
	ShipCollapse,
};
pub use sprite::{RepeatMode, Sprite};
pub use system::{Object, System};
