/// Computer-controlled ship behavior variants.
/// This is just a list, actual physics-aware
/// behaviors are implemented in [`galactica-behavior`]
#[derive(Debug, Clone, Copy, PartialEq, Eq)]
pub enum ShipPersonality {
	/// This ship is controlled by a player
	Player,

	/// Does nothing
	Dummy,

	/// Points and shoots towards the nearest enemy
	Point,
}
