use galactica_content as content;

// TODO: remove. projectiles only exist in physics

#[derive(Debug)]
pub struct Projectile {
	pub content: content::Projectile,
	pub lifetime: f32,
	pub faction: content::FactionHandle,
}

impl Projectile {
	pub fn tick(&mut self, t: f32) {
		self.lifetime -= t;
	}

	pub fn is_expired(&self) -> bool {
		return self.lifetime < 0.0;
	}
}
